org.eclipse.viatra.cep.vepl.jvmmodel

## Class ComplexGenerator

- java.lang.Object
- - org.eclipse.viatra.cep.vepl.jvmmodel.ComplexGenerator

-     public class ComplexGenerator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `_getFactoryMethod(AndOperator operator)`
    `protected java.lang.String` | `_getFactoryMethod(FollowsOperator operator)`
    `protected java.lang.String` | `_getFactoryMethod(NegOperator operator)`
    `protected java.lang.String` | `_getFactoryMethod(OrOperator operator)`
    `protected java.lang.String` | `_getFactoryMethod(UntilOperator operator)`
    `EventContext` | `deriveContext(ComplexEventPattern pattern)`
    `org.eclipse.xtext.xbase.compiler.output.ITreeAppendable` | `expandMultiplicity(org.eclipse.viatra.cep.vepl.jvmmodel.expressiontree.Node node, org.eclipse.xtext.xbase.compiler.output.ITreeAppendable treeAppendable, ComplexEventPattern pattern)`
    `void` | `generateComplexEventPattern(ComplexEventPattern pattern, org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor)`
    `org.eclipse.xtext.naming.QualifiedName` | `generateComplexEventPattern(ComplexEventPattern pattern, org.eclipse.viatra.cep.vepl.jvmmodel.expressiontree.Node node, org.eclipse.xtext.naming.QualifiedName className, org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor)`
    `org.eclipse.xtext.naming.QualifiedName` | `generateComplexEventPattern(ComplexEventPattern pattern, org.eclipse.viatra.cep.vepl.jvmmodel.expressiontree.Node node, org.eclipse.xtext.naming.QualifiedName className, java.util.List<org.eclipse.internal.xtend.util.Pair<org.eclipse.xtext.naming.QualifiedName,java.util.List<java.lang.String>>> compositionPatterns, org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor, ComplexPatternType complexPatternType)`
    `void` | `generateComplexEventPatterns(java.util.List<ComplexEventPattern> patterns, org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder)`
    `java.lang.CharSequence` | `getCondition()`
    `java.lang.String` | `getFactoryMethod(org.eclipse.emf.ecore.EObject operator)`
    `boolean` | `isAnonymous(ComplexPatternType complexPatternType)`
    `boolean` | `isNormal(ComplexPatternType complexPatternType)`
    `boolean` | `isRoot(org.eclipse.viatra.cep.vepl.jvmmodel.expressiontree.Node node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexGenerator

          public ComplexGenerator()

  - ### Method Detail

    - #### generateComplexEventPatterns

          public void generateComplexEventPatterns(java.util.List<ComplexEventPattern> patterns,
                                                   org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor,
                                                   org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder)

    - #### generateComplexEventPattern

          public void generateComplexEventPattern(ComplexEventPattern pattern,
                                                  org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor)

    - #### isRoot

          public boolean isRoot(org.eclipse.viatra.cep.vepl.jvmmodel.expressiontree.Node node)

    - #### generateComplexEventPattern

          public org.eclipse.xtext.naming.QualifiedName generateComplexEventPattern(ComplexEventPattern pattern,
                                                                                    org.eclipse.viatra.cep.vepl.jvmmodel.expressiontree.Node node,
                                                                                    org.eclipse.xtext.naming.QualifiedName className,
                                                                                    org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor)

    - #### generateComplexEventPattern

          public org.eclipse.xtext.naming.QualifiedName generateComplexEventPattern(ComplexEventPattern pattern,
                                                                                    org.eclipse.viatra.cep.vepl.jvmmodel.expressiontree.Node node,
                                                                                    org.eclipse.xtext.naming.QualifiedName className,
                                                                                    java.util.List<org.eclipse.internal.xtend.util.Pair<org.eclipse.xtext.naming.QualifiedName,java.util.List<java.lang.String>>> compositionPatterns,
                                                                                    org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor,
                                                                                    ComplexPatternType complexPatternType)

    - #### deriveContext

          public EventContext deriveContext(ComplexEventPattern pattern)

    - #### expandMultiplicity

          public org.eclipse.xtext.xbase.compiler.output.ITreeAppendable expandMultiplicity(org.eclipse.viatra.cep.vepl.jvmmodel.expressiontree.Node node,
                                                                                            org.eclipse.xtext.xbase.compiler.output.ITreeAppendable treeAppendable,
                                                                                            ComplexEventPattern pattern)

    - #### isNormal

          public boolean isNormal(ComplexPatternType complexPatternType)

    - #### isAnonymous

          public boolean isAnonymous(ComplexPatternType complexPatternType)

    - #### _getFactoryMethod

          protected java.lang.String _getFactoryMethod(FollowsOperator operator)

    - #### _getFactoryMethod

          protected java.lang.String _getFactoryMethod(OrOperator operator)

    - #### _getFactoryMethod

          protected java.lang.String _getFactoryMethod(AndOperator operator)

    - #### _getFactoryMethod

          protected java.lang.String _getFactoryMethod(UntilOperator operator)

    - #### _getFactoryMethod

          protected java.lang.String _getFactoryMethod(NegOperator operator)

    - #### getCondition

          public java.lang.CharSequence getCondition()

    - #### getFactoryMethod

          public java.lang.String getFactoryMethod(org.eclipse.emf.ecore.EObject operator)